Page MenuHomePhabricator

scap sync-l10n AttributeError: 'Namespace' object has no attribute 'message'
Closed, ResolvedPublic

Description

When trying:

scap sync-l10n 1.29.0-wmf.4

I got

File "/usr/lib/python2.7/dist-packages/scap/main.py", line 38, in main

with utils.lock(self.config['lock_file'], self.arguments.message):

AttributeError: 'Namespace' object has no attribute 'message'

I believe this probably has something to do with https://lists.wikimedia.org/pipermail/wikitech-l/2016-November/087107.html

Revisions and Commits

Event Timeline

Addshore created this task.Dec 5 2016, 12:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2016, 12:49 PM
Addshore added a subscriber: hashar.Dec 5 2016, 1:54 PM
thcipriani triaged this task as High priority.Dec 5 2016, 2:23 PM
thcipriani edited projects, added Scap; removed scap2.
thcipriani moved this task from Needs triage to Debt on the Scap board.
Krenair reopened this task as Open.Dec 13 2016, 10:42 PM
Krenair added a subscriber: Krenair.

not deployed yet, l10nupdate is still broken

thcipriani closed this task as Resolved.Dec 17 2016, 5:43 PM

Now that scap 3.4.2-1 is live, scap sync-l10n should work again.